<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\SoftDeletes;

class Viatura extends Model
{
    use HasFactory;
    use SoftDeletes;
	
  protected $fillable = [

    'matricula',
    'codigo_viatura',
    'marca',
    'modelo',
    'ano_fabricacao',
    'ano_aquisicao',
    'tipo_combustivel',
    'status'
  ];
public function viatura()
      {
    
        return $this->hasMany(Viagem::class);
      }
public function abastecimento()
      {
    
        return $this->hasMany(Abastecimento::class);
      }
     public function custooperacional()
      {
    
        return $this->hasMany(CustoOperacional::class);
      }

        public function manutencao()
      {
    
        return $this->hasMany(Manutencao::class);
      }

}
